Page 1 of 1

install problem with mantis 2.20.0

Posted: May 14, 2019 8:54 am
by Flow_75
Hello,

I'm new at Mantis. I want to install it on my compagny webserver (with apache & Mssql)
But, when I select the "Mssql native driver", I have this message :

BAD
database is not supported by PHP. Check that it has been compiled into your server.


I have no problem to access to my db with my php script via pdo.

Can you help me ?
Thx.

Re: install problem with mantis 2.20.0

Posted: May 15, 2019 3:06 am
by cas
Please check your php ( which version0 settings according installation manual.
Why not use MySQL, also license wise a better option.

Re: install problem with mantis 2.20.0

Posted: May 15, 2019 6:42 am
by Flow_75
Hello.

Thanks.
For MySQL, the problem is that it is my work web server and have only mssql installed on it.

We use php 7.0.4RC1.

F.

Re: install problem with mantis 2.20.0

Posted: May 15, 2019 6:55 am
by cas
Installing MySQL is very simple but if not possible, we need to face this problem.
So next step is to verify if your mssql server is supported. So check your versions in the manual and verify that all is setup accordingly.

Re: install problem with mantis 2.20.0

Posted: May 15, 2019 7:12 am
by Flow_75
OK, Thanks, Just saw

MS SQL Server 2012 2012 or later PHP extension: sqlsrv
So ok, I'm srewed, I have "only" MSSQL Server 2008. And I don't see in my php info page the sqlsrv php extension :? :cry:

Re: install problem with mantis 2.20.0

Posted: May 15, 2019 7:54 am
by cas
Install it locally using XAMPP which will eable you to demonstrate the functionality. Perhaps once convinced you can get MySQL loaded or MSSQL upgraded. :mrgreen:

Re: install problem with mantis 2.20.0

Posted: May 15, 2019 8:01 am
by Flow_75
Thanks.
I've asked to the IT team to install a ubuntu server on a new server to get full access of the lamp configuration and so on.
I've hope to get it next month.

Thanks you very much